Package com.sun.jna.platform.win32.COM.tlb.imp

## Class TlbBase

- java.lang.Object
- - com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

Direct Known Subclasses:
  `TlbAbstractMethod`, `TlbCoClass`, `TlbDispInterface`, `TlbEnum`, `TlbInterface`

    public abstract class TlbBase
    extends java.lang.Object

The Class TlbBase.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

### Field Summary

Fields
`protected java.lang.String` `bindingMode`
`protected java.lang.StringBuffer` `classBuffer` The class buffer.
`protected java.lang.String` `content` The content.
`static java.lang.String` `CR` The Constant CR.
`static java.lang.String` `CRCR` The Constant CRCR.
`protected java.lang.String` `filename`
`static java.lang.String[]` `IDISPATCH_METHODS` The idispatch methods.
`protected int` `index` The index.
`static java.lang.String[]` `IUNKNOWN_METHODS` The iunknown methods.
`protected java.lang.String` `name`
`static java.lang.String` `TAB` The Constant TAB.
`static java.lang.String` `TABTAB` The Constant TABTAB.
`protected java.lang.StringBuffer` `templateBuffer` The template buffer.
`protected TypeInfoUtil` `typeInfoUtil`
`protected TypeLibUtil` `typeLibUtil` The type lib util.

### Constructor Summary

Constructors
`TlbBase​(int index, TypeLibUtil typeLibUtil, TypeInfoUtil typeInfoUtil)`
`TlbBase​(int index, TypeLibUtil typeLibUtil, TypeInfoUtil typeInfoUtil, java.lang.String bindingMode)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `createClassName​(java.lang.String name)` Creates the class name.
`void` `createContent​(java.lang.String content)` Creates the content.
`protected void` `createPackageName​(java.lang.String packagename)`
`java.lang.StringBuffer` `getClassBuffer()` Gets the class buffer.
`protected abstract java.lang.String` `getClassTemplate()` Gets the class template.
`java.lang.String` `getFilename()`
`java.lang.String` `getName()`
`protected boolean` `isDispIdMode()`
`protected boolean` `isReservedMethod​(java.lang.String method)` Checks if is reserved method.
`protected boolean` `isVTableMode()`
`protected void` `log​(java.lang.String level, java.lang.String msg)` Log.
`void` `logError​(java.lang.String msg)` Log error.
`void` `logInfo​(java.lang.String msg)` Log info.
`protected void` `readTemplateFile​(java.lang.String filename)` Read template file.
`protected void` `replaceVariable​(java.lang.String name, java.lang.String value)` Replace variable.
`void` `setFilename​(java.lang.String filename)`
`void` `setName​(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CR

    public static final java.lang.String CR

The Constant CR.

See Also:
  Constant Field Values

#### CRCR

    public static final java.lang.String CRCR

The Constant CRCR.

See Also:
  Constant Field Values

#### TAB

    public static final java.lang.String TAB

The Constant TAB.

See Also:
  Constant Field Values

#### TABTAB

    public static final java.lang.String TABTAB

The Constant TABTAB.

See Also:
  Constant Field Values

#### typeLibUtil

    protected TypeLibUtil typeLibUtil

The type lib util.

#### typeInfoUtil

    protected TypeInfoUtil typeInfoUtil

#### index

    protected int index

The index.

#### templateBuffer

    protected java.lang.StringBuffer templateBuffer

The template buffer.

#### classBuffer

    protected java.lang.StringBuffer classBuffer

The class buffer.

#### content

    protected java.lang.String content

The content.

#### filename

    protected java.lang.String filename

#### name

    protected java.lang.String name

#### IUNKNOWN_METHODS

    public static java.lang.String[] IUNKNOWN_METHODS

The iunknown methods.

#### IDISPATCH_METHODS

    public static java.lang.String[] IDISPATCH_METHODS

The idispatch methods.

#### bindingMode

    protected java.lang.String bindingMode

### Constructor Detail

#### TlbBase

    public TlbBase​(int index,
                   TypeLibUtil typeLibUtil,
                   TypeInfoUtil typeInfoUtil)

#### TlbBase

    public TlbBase​(int index,
                   TypeLibUtil typeLibUtil,
                   TypeInfoUtil typeInfoUtil,
                   java.lang.String bindingMode)

### Method Detail

#### logError

    public void logError​(java.lang.String msg)

Log error.

Parameters:
  `msg` - the msg

#### logInfo

    public void logInfo​(java.lang.String msg)

Log info.

Parameters:
  `msg` - the msg

#### getClassBuffer

    public java.lang.StringBuffer getClassBuffer()

Gets the class buffer.

Returns:
  the class buffer

#### createContent

    public void createContent​(java.lang.String content)

Creates the content.

Parameters:
  `content` - the content

#### setFilename

    public void setFilename​(java.lang.String filename)

#### getFilename

    public java.lang.String getFilename()

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### log

    protected void log​(java.lang.String level,
                       java.lang.String msg)

Log.

Parameters:
  `level` - the level
  `msg` - the msg

#### getClassTemplate

    protected abstract java.lang.String getClassTemplate()

Gets the class template.

Returns:
  the class template

#### readTemplateFile

    protected void readTemplateFile​(java.lang.String filename)
                             throws java.io.IOException

Read template file.

Parameters:
  `filename` - the filename
Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### replaceVariable

    protected void replaceVariable​(java.lang.String name,
                                   java.lang.String value)

Replace variable.

Parameters:
  `name` - the name
  `value` - the value

#### createPackageName

    protected void createPackageName​(java.lang.String packagename)

#### createClassName

    protected void createClassName​(java.lang.String name)

Creates the class name.

Parameters:
  `name` - the name

#### isReservedMethod

    protected boolean isReservedMethod​(java.lang.String method)

Checks if is reserved method.

Parameters:
  `method` - the method
Returns:
  true, if is reserved method

#### isVTableMode

    protected boolean isVTableMode()

#### isDispIdMode

    protected boolean isDispIdMode()